Page MenuHomePhabricator

Automate docs build for model repos
Closed, ResolvedPublic

Description

We should move the docs over to ReadTheDocs so we can automatically build and publish our docs each time we merge new code to the master branch.

This has already been done for editquality, but should be done for all other repos.

Event Timeline

ACraze created this task.Aug 14 2019, 10:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2019, 10:08 PM
ACraze added a subscriber: Halfak.EditedAug 19 2019, 5:56 PM

As mentioned in standup, two repos needed docs added.
PRs are up for both of them:

Draft Topic:
https://github.com/wikimedia/drafttopic/pull/37

Draft Quality:
https://github.com/wikimedia/draftquality/pull/32

Also, revscoring is currently blocked due to a failed previous attempt about ~4 years ago.
@Halfak -- you'll need to update the repo url on readthedocs since it's pointing to wiki-ai: https://readthedocs.org/projects/revscoring/

@Halfak : I have updated the remaining PRs and they are ready for review:

Draft Quality:
https://github.com/wikimedia/draftquality/pull/32

Draft Topic (patched build bug):
https://github.com/wikimedia/drafttopic/pull/38

Alright, looks like all model building libs have docs being built on RTD now:

https://drafttopic.readthedocs.io
https://draftquality.readthedocs.io
https://editquality.readthedocs.io
https://articlequality.readthedocs.io

Also revscoring sphinx docs are also on RTD now:
https://revscoring.readthedocs.io

Going to move this task to the Done column.

Halfak closed this task as Resolved.Sep 17 2019, 2:56 PM